Version of PDFSam in the repository is incredibly old

Bug #1012167 reported by Stefan K. on 2012-06-12
78
This bug affects 13 people
Affects Status Importance Assigned to Milestone
pdfsam (Debian)
Fix Released
Unknown
pdfsam (Ubuntu)
Wishlist
Unassigned

Bug Description

Hi,

the PDFSam version included in the Ubuntu repos is very old:
available in Ubuntu Precise: 1.1.4
available from http://www.pdfsam.org/?page_id=32 : 2.21

Is it possible to get a newer version or are there roadblocks?

Workaround:
* make sure you have OpenJDK installed
* download the ZIP archive from http://www.pdfsam.org/?page_id=32
* extract the archive to some folder
* navigate to said folder in a file manager
* right click and open with OpenJDK

Stefan K. (astron) wrote :

Sorry, last step should have read:
"* right click the .jar file, and from the context menu choose Open with OpenJDK"

Logan Rosen (logan) on 2012-06-12
tags: added: upgrade-software-version
Changed in pdfsam (Debian):
status: Unknown → New
Mirko Pizii (hallino1) on 2012-06-13
Changed in pdfsam (Ubuntu):
assignee: nobody → Mirko Pizii (hallino1)
Mirko Pizii (hallino1) on 2012-06-13
Changed in pdfsam (Ubuntu):
assignee: Mirko Pizii (hallino1) → nobody
Mirko Pizii (hallino1) on 2012-06-14
Changed in pdfsam (Ubuntu):
assignee: nobody → Mirko Pizii (hallino1)
Mirko Pizii (hallino1) on 2012-06-15
Changed in pdfsam (Ubuntu):
assignee: Mirko Pizii (hallino1) → nobody
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in pdfsam (Ubuntu):
status: New → Confirmed

+1 from me. I have followed the instructions at:

http://ubuntuforums.org/showpost.php?p=9109328&postcount=5

but would prefer not to have a workaround.

Thanks.

Existing version no longer works at all in current Ubuntu 13.04 build. It now *needs* to be replaced.

Overlaying it w/ 2.2.2 as discussed above solved the problem. Looks like this could be an easy fix for the right person!

theghost (theghost) wrote :

It's the curse of Debian :)
Even Debian sid (unstable) still has 1.1.4.
The package maintainers are discussing the upgrade.
So when Debian has a new version, Ubuntu will get a new version too, when the packages for a new release are synced.
Seems like we have to wait, some more releases :(

Logan Rosen (logan) on 2014-03-26
Changed in pdfsam (Ubuntu):
status: Confirmed → Triaged
importance: Undecided → Wishlist
tags: added: trusty
tags: added: utopic

In 2015 it's still very old.

tags: added: wily
tags: added: xenial
Changed in pdfsam (Debian):
status: New → Fix Released
Changed in pdfsam (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.